> ## Documentation Index
> Fetch the complete documentation index at: https://docs.arc.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 指定した証明書の交換

> 指定された証明書を交換します。



## OpenAPI

````yaml 26.2/self-hosted/ja/api-reference/openapi.json POST /exchangeCert
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.1.9515.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Arc インスタンスのベース URL
          です。スキームとアプリケーションパスを含みます（例：https://arc.example.com/api.rsc）。
security: []
paths:
  /exchangeCert:
    post:
      tags:
        - exchangeCert
      summary: 指定した証明書の交換
      description: 指定された証明書を交換します。
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/exchangeCert_input'
        required: true
      responses:
        '200':
          description: アクションの結果。
        default:
          description: 予期しないエラー
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    exchangeCert_input:
      type: object
      required:
        - Certificate
        - ExchangeType
      properties:
        WorkspaceId:
          type: string
          description: ワークスペースID。必須です。
        ConnectorId:
          type: string
          description: コネクタID。必須です。
        PortId:
          type: string
          description: ポートID。
        Certificate:
          type: string
          description: 交換する証明書。
        ExchangeType:
          type: string
          description: >-
            交換タイプ。有効な値は AS2(Request, Response)、OFTP(Deliver, Request, Replace)
            です。
        CertificatePassword:
          type: string
          description: 証明書のパスワード(AS2)。
        CertificateUsage:
          type: string
          description: >-
            証明書の暗号化機能。有効な値は 'Encryption,Verification,ServerTLS,ClientTLS'(AS2)
            です。
        ResponseURL:
          type: string
          description: レスポンスの送信先URL(AS2)。
        RequestId:
          type: string
          description: リクエストID(AS2)。
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````